Package com.sas.lsaf.core

## Enum SourceLocation

- java.lang.Object
- - java.lang.Enum<SourceLocation>
  - - com.sas.lsaf.core.SourceLocation

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SourceLocation>`

      public enum SourceLocation
      extends java.lang.Enum<SourceLocation>

  The allowed values for source location.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `REPOSITORY` | Specifies the source location as the repository.
    `WORKSPACE` | Specifies the source location as the workspace.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SourceLocation` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SourceLocation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORKSPACE

          public static final SourceLocation WORKSPACE

      Specifies the source location as the workspace.

    - #### REPOSITORY

          public static final SourceLocation REPOSITORY

      Specifies the source location as the repository.

  - ### Method Detail

    - #### values

          public static SourceLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SourceLocation c : SourceLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SourceLocation valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null